.\"	$NetBSD: rpc.yppasswdd.8,v 1.15 2005/02/26 16:37:40 thorpej Exp $
.\"
.\" Copyright (c) 1994 Mats O Jansson <moj@stacken.kth.se>
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS
.\" OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
.\" DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd February 26, 2005
.Dt RPC.YPPASSWDD 8
.Os
.Sh NAME
.Nm rpc.yppasswdd
.Nd NIS update password file daemon
.Sh SYNOPSIS
.Nm
.Op Fl d Ar directory
.Op Fl noshell
.Op Fl nogecos
.Op Fl nopw
.Op Fl m Ar arg1 Op Ar arg2 ...
.Sh DESCRIPTION
.Nm
must be running on the
.Tn NIS
master server to allow users to change information
in the password file.
.Pp
The options are as follows:
.Bl -tag -width XdXdirectoryXX -offset indent
.It Fl d Ar directory
Change the root directory of the password file from
.Dq Pa /
to
.Ar directory .
It is important to create the binary database files (pwd.db and spwd.db)
when using this switch or the password change will fail.
The databases need to be created only once with the following command:
.Pp
.Dl pwd_mkdb -d directory directory/etc/master.passwd
.It Fl noshell
Don't allow changes of the shell field in the passwd file.
.It Fl nogecos
Don't allow changes of the gecos field in the passwd file.
.It Fl nopw
Don't allow changes of the password in the passwd file.
.It Fl m Ar arg1 Op Ar arg2 ...
Additional arguments to pass to
.Ar make
in
.Ar /var/yp .
.El
.Sh FILES
.Bl -tag -width /etc/master.passwd -compact
.It Pa /etc/passwd
.It Pa /etc/master.passwd
.El
.Sh SEE ALSO
.Xr chpass 1 ,
.Xr passwd 1 ,
.Xr hosts_access 5 ,
.Xr nis 8 ,
.Xr ypbind 8 ,
.Xr ypserv 8
.Sh AUTHORS
.An Mats O Jansson Aq moj@stacken.kth.se
